package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumMerchantPublic {

    PUBLIC(1, "公开"),
    PRIVATE(0, "私有"),;

    public static EnumMerchantPublic getEnum(Integer code) {
        for (EnumMerchantPublic value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumMerchantPublic(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
